html {
    font-size: var(--fs);
}

body {
    color: var(--c-text);
    font-family: @font-secondary;
    @media @mq_phone_ {
        font-weight: @font-weight;
    }
    @media @mq_phone {
        font-weight: @font-weight_phone;
    }
}

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    padding-top: 1px;
    padding-bottom: 1px;
    font-family: @headings-font-family;
    font-weight: @headings-font-weight;
    line-height: @headings-line-height;
    color: @headings-color;
    &:before {
        content: '';
        display: block;
        margin-top: -@headings-offset;
    }
    &:after {
        content: '';
        display: block;
        margin-bottom: -@headings-offset;
    }
    ._invert & {
        color: @headings-color-invert;
    }
}

h1, .h1 {
    font-size: var(--fs_h1);
    line-height: 1;
    font-weight: 600;
}

h2, .h2 {
    font-size: var(--fs_h2)
}

h3, .h3 {
    font-size: var(--fs_h3)
}

h4, .h4 {
    font-size: var(--fs_h4)
}

h5, .h5 {
    font-size: var(--fs_h5)
}

h6, .h6 {
    font-size: var(--fs_h6)
}

blockquote,
p {
    line-height: @paragraph-line-height;
    padding-top: 1px;
    padding-bottom: 1px;
    &:before {
        content: '';
        display: block;
        position: relative;
        margin-top: -@paragraph-line-height*0.2em;
    }
    &:after {
        content: '';
        display: block;
        position: relative;
        margin-bottom: -@paragraph-line-height*0.2em;
    }
}

blockquote {
    &:before {
        position: absolute;
        display: block;
        line-height: 1;
        font-size: 3em;
        pointer-events: none;
        content: '«';
        right: 100%;
        margin-top: -0.5em;
        margin-right: 0.125em;
    }
    &:after {
        position: absolute;
        display: inline-block;
        line-height: 1;
        font-size: 3em;
        pointer-events: none;
        content: '»';
        text-align: right;
        //left: 100%;
        margin-top: -0.15em;
        margin-left: 0.125em;
    }
}

cite {
    display: block;
    font-style: normal;
}

small {
    font-size: 75%;
}

b, strong {
    font-weight: bold;
}

i {
    font-style: normal;
}

hr {
    margin: 0;
    border: 0;
    .bt;
    .bc;
    height: 0;
    clear: both;
    @media @mq_phone_ {
        .mv_xl;
    }
    @media @mq_phone {
        .mv_l;
    }
}

dl {
    margin: 0;
    .clearfix;
}

dt, dd {
    line-height: 1;
    display: block;
    padding: 0;
    margin: 0;
}

dt {
    color: @c-text;
    font-size: 100%;
}

dd {
    color: @c-title;
}

//Line height

.lh {
    line-height: 1 !important;
}

.lh_xs {
    line-height: 1;
}

.lh_s {
    line-height: 1.125;
}

.lh_m {
    line-height: 1.25;
}

.lh_l {
    line-height: 1.375;
}

.lh_xl {
    line-height: 1.5;
}

//Font family

.ff_primary {
    font-family: @font-primary;
}

.ff_secondary {
    font-family: @font-secondary;
}

.ff_headings {
    font-family: @font-primary;
}

.ff_text {
    font-family: @font-secondary;
}

//Font size

.fs_xxs {
    font-size: var(--fs_xxs);
}

.fs_xs {
    font-size: var(--fs_xs);
}

.fs_s {
    font-size: var(--fs_s);
}

.fs_m {
    font-size: 1em;
}

.fs_l {
    font-size: var(--fs_l);
}

.fs_xl {
    font-size: var(--fs_xl);
}

.fs_xxl {
    font-size: var(--fs_xxl);
}

.fs_100pct {
    font-size: 100%;
}

.fs_200pct {
    font-size: 200%;
}

.fs_300pct {
    font-size: 300%;
}

.fs_400pct {
    font-size: 400%;
}

.fs_500pct {
    font-size: 500%;
}

.fs_600pct {
    font-size: 600%;
}

.fs_700pct {
    font-size: 700%;
}

.fs_800pct {
    font-size: 800%;
}

.fs_900pct {
    font-size: 900%;
}

.fs_1000pct {
    font-size: 1000%;
}

//Font weight

.fw_100 {
    font-weight: 100;
}

.fw_200 {
    font-weight: 200;
}

.fw_300 {
    font-weight: 300;
}

.fw_normal,
.fw_400 {
    font-weight: 400;
}

.fw_medium,
.fw_500 {
    font-weight: 500;
}

.fw_bold,
.fw_600 {
    font-weight: 600;
}

.fw_700 {
    font-weight: 700;
}

.fw_800 {
    font-weight: 800;
}

.fw_900 {
    font-weight: 900;
}

.fc_green {
    color: @c-green;
}

.fc_peach {
    color: @c-peach;
}

.fc_purple {
    color: @c-purple;
}

.tt_lowercase {
    text-transform: lowercase;
}

.tt_capitalize {
    text-transform: capitalize;
}

.tt_uppercase {
    text-transform: uppercase;
}


.ta_left {
    text-align: left;
}

.ta_center {
    text-align: center;
}

.ta_right {
    text-align: right;
}

.nowrap {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    max-width: 100%;
}
